Metacat - Bug #2130

Not able to delete DPs from KNB
06/17/2005 10:57 AM - Saurabh Garg
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Bugzilla-ld: 2130

Description

Not able to delete rwilliams.4.1 and rwilliams.10.1 from KNB. The message sent
back by Metacat is

Docid rwillliams.4.1 does not exsist. Please check that you have specified the
revision number of the document also

This error is generated in Documentimpl after running followign query:
"SELECT * FROM xml_documents WHERE docid = ?" (The logs indicate that ? was
replaced by rwilliams.4)

If no record is found, then the above error is generated. Otherwise the
document is deleted. Hence it means no document was found.

However, running the same query via sqlplus returns one record. Weird.

History

#1 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2130

#2 - 04/10/2013 11:20 AM - ben leinfelder

- Assignee changed from Saurabh Garg to ben leinfelder

Both of these documents still exist - not sure if they should be deleted or not. They are -//ecoinformatics.org//eml-dataset-2.0.0beta6//EN docs.
